For the complete documentation index, see llms.txt. This page is also available as Markdown.

Advanced Strategies

Stop Market

Requirement: Stop Market orders are an advanced execution strategy. Your account must be explicitly enabled to use this feature. Please contact support@aquanow.io to request access.

Aquanow's Stop Market strategy creates a pending order that remains inactive until the market price reaches your specified stopPrice. Once triggered, the order executes immediately as a market order.

Trigger Logic

Stop market orders are triggered based on your account's pricing tier:

Buy Orders:

  • Triggers when price is greater than or equal to: best bid price

Sell Orders:

  • Triggers when price is greater than or equal to: best ask price

Note: > * Immediate Execution Rule: If a stop market order is immediately executable upon entry (i.e., the stop price is already met), the system will reject the order.

  • Quantity Constraint: Only deliverQuantity (deliver currency) can be specified for this strategy.


Endpoint to initiate a Stop Market request

POST https://api.aquanow.io/trades/v2/order

Headers

x-api-key*

String

{{x-api-key}} API Auth Key

x-signature*

String

49c6260c194f4d7ed5cb917dc70b9821673246b2abc1cf28f05df6a75fd24181e00f8e57b321d15ae45db58b3bffe27a

Signature created using your API secret

x-nonce*

Number

1618307861949

Timestamp in milliseconds

Content-Type*

String

application/json

Request Body

strategy*

String

"STOP_MARKET"

accountId*

String

Identifier for account the order will be applied to.

ticker*

String

e.g., BTC-CAD

Currency pair

tradeSide*

String

"buy" or "sell"

stopPrice*

String

The trigger price.

• If sell: Triggers when Best Ask <= stopPrice

• If buy: Triggers when Best Bid >= stopPrice

Note: Similar to limit orders, the specified price should be within 40% of the current price.

deliverQuantity*

String

Quantity of currency delivered by user based on the ticker and tradeSide.

For example, if ticker is BTC-USD and tradeSide is sell, the delivered currency is BTC.

Note: For Stop Market orders, only deliverQuantity is accepted.

timeInForce*

String

Determines how long the order remains active.

Accepted values:

• GTC (Default): Good Till Cancel. Active for 90 days.

• DAY: Active for 24 hours from creation.

• GTD: Good Till Date. Requires expirationTime.

expirationTime

Number

Optional. e.g., 1669972404350

Expiration time in Unix milliseconds.

Required ONLY if timeInForce is GTD. Must be ≤ 90 days from now. Ignored if timeInForce is GTC or DAY.

usernameRef

String

A new reference string for sub-accounts. Must be less than 64 characters, cannot contain special characters.


Responses

Returns an OrdersV2Object.

Returns an OrdersV2Object.

Last updated